# 8. Mutation: 「RasterMap」を生成

「Field」のために「RasterMap」を生成します。

{% hint style="info" %}
実行時間は異なります（4秒から5分まで）。処理する画像の枚数と圃場面積に依存し、「RasterMap」の生成が成功した後に購読（Subscription）が受け取られます。
{% endhint %}

{% hint style="danger" %}
次の利用を推奨します： **非同期（asynchronous）** アプローチでRastetMapを生成することをおすすめします。
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      「<placeholder_of_satelliteimage_uuid_2>」
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    名前
    centroid {
      latitude
      longitude
    }
    boundingBox
    geoMaps {
      shortName
      fullName
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/8-mutation-rastermapwo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
